net.corda.core.flows

## Class StateMachineRunId.Companion

- net.corda.core.flows.StateMachineRunId.Companion

- Enclosing class:
    StateMachineRunId

      public static class StateMachineRunId.Companion

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StateMachineRunId` | `createRandom()`
    `StateMachineRunId` | `wrap(java.util.UUID uuid)`

- - ### Method Detail

    - #### createRandom

          public StateMachineRunId createRandom()

    - #### wrap

          public StateMachineRunId wrap(java.util.UUID uuid)